package io.renren.modules.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.admin.entity.AttendersEntity;

import java.util.Map;
import java.util.List;

/**
 * 
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-21 15:10:27
 */
public interface AttendersService extends IService<AttendersEntity> {

    PageUtils queryPage(Map<String, Object> params);

    /**
     * 根据会员id 查询最近参会列表
     * @param memberId
     * @return
     */
    List<Map<String, Object>> getMeetingListByMemberId(Long memberId);

    /**
     * 根据参会人员id 查询姓名
     * @param aid
     * @return
     */
    Map<String, Object> getNameById(Long aid);

    /**
     * 根据参会人员id 查询姓名,机构等
     * @param aid
     * @return
     */
    Map<String, Object> getMapById(Long aid);

    /**
     * 获取参会名单
     * @param params
     * @return
     */
    List<Map<String, Object>> getMapList(Long meetingId);

	int changeColumnValue(String column, Integer value, Long id);
}

